/** 
 * 
 * Copyright 2004 Protique Ltd
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License. 
 * 
 **/

package org.codehaus.activemq.capacity;

import junit.framework.TestCase;

/**
 *
 * BasicCapacityMonitorTest
 * @version $Revision: 1.1 $
 */
public class BasicCapacityMonitorTest extends TestCase {
    public static void main(String[] args) {
    }

    /*
     * @see TestCase#setUp()
     */
    protected void setUp() throws Exception {
        super.setUp();
    }

    /*
     * @see TestCase#tearDown()
     */
    protected void tearDown() throws Exception {
        super.tearDown();
    }

    /**
     * Constructor for BasicCapacityMonitorTest.
     * @param arg0
     */
    public BasicCapacityMonitorTest(String arg0) {
        super(arg0);
    }

    public void testCapacityMonitor() {
        
        int maxvalue = 1000;
        int increment = 10;
        BasicCapacityMonitor bcm = new BasicCapacityMonitor("test",maxvalue);
        bcm.setRoundingFactor(5);
        for (int i =0; i < maxvalue; i+= increment){
            bcm.setCurrentValue(i);
            System.out.println(i + " cap = " + bcm.getCurrentCapacity() + " , " + ((maxvalue-i)/10));
            
            assertTrue(bcm.getCurrentCapacity()==((maxvalue-i)/10));
            int roundedCapacity = bcm.getRoundedCapacity();
            System.out.println("roundec capacity = " + roundedCapacity);
        }
        
    }
}
